TransformerConfigurationException (Java Platform SE 8 )
Keywords: javax.xml.transform.TransformerConfigurationException class
Date: 2018-07-01

compact2, compact3
javax.xml.transform

## Class TransformerConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.transform.TransformerException
      - - javax.xml.transform.TransformerConfigurationException

- All Implemented Interfaces:
    Serializable

      public class TransformerConfigurationException
      extends TransformerException

  Indicates a serious configuration error.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformerConfigurationException()` Create a new `TransformerConfigurationException` with no detail mesage.
    `TransformerConfigurationException(String msg)` Create a new `TransformerConfigurationException` with the `String` specified as an error message.
    `TransformerConfigurationException(String message, SourceLocator locator)` Create a new TransformerConfigurationException from a message and a Locator.
    `TransformerConfigurationException(String message, SourceLocator locator, Throwable e)` Wrap an existing exception in a TransformerConfigurationException.
    `TransformerConfigurationException(String msg, Throwable e)` Create a new `TransformerConfigurationException` with the given `Exception` base cause and detail message.
    `TransformerConfigurationException(Throwable e)` Create a new `TransformerConfigurationException` with a given `Exception` base cause of the error.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.transform.TransformerException

      `getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformerConfigurationException

          public TransformerConfigurationException()

      Create a new `TransformerConfigurationException` with no detail mesage.

    - #### TransformerConfigurationException

          public TransformerConfigurationException(String msg)

      Create a new `TransformerConfigurationException` with the `String` specified as an error message.
      Parameters:
        `msg` - The error message for the exception.

    - #### TransformerConfigurationException

          public TransformerConfigurationException(Throwable e)

      Create a new `TransformerConfigurationException` with a given `Exception` base cause of the error.
      Parameters:
        `e` - The exception to be encapsulated in a TransformerConfigurationException.

    - #### TransformerConfigurationException

          public TransformerConfigurationException(String msg,
                                                   Throwable e)

      Create a new `TransformerConfigurationException` with the given `Exception` base cause and detail message.
      Parameters:
        `e` - The exception to be encapsulated in a TransformerConfigurationException
        `msg` - The detail message.

    - #### TransformerConfigurationException

          public TransformerConfigurationException(String message,
                                                   SourceLocator locator)

      Create a new TransformerConfigurationException from a message and a Locator.

      This constructor is especially useful when an application is creating its own exception from within a DocumentHandler callback.

      Parameters:
        `message` - The error or warning message.
        `locator` - The locator object for the error or warning.

    - #### TransformerConfigurationException

          public TransformerConfigurationException(String message,
                                                   SourceLocator locator,
                                                   Throwable e)

      Wrap an existing exception in a TransformerConfigurationException.
      Parameters:
        `message` - The error or warning message, or null to use the message from the embedded exception.
        `locator` - The locator object for the error or warning.
        `e` - Any exception.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.